/* OpenChurch features
/-------------------------------------------------------------- */

/*************************************
  Share This Block
*************************************/
#block-openchurchshare {
  background-color: transparent;
}


/*************************************
  Podcasts
*************************************/
.openchurch-podcasts {
}
  .openchurch-podcasts .field--name-field-date {
    font-size: 1.5em;
    white-space: nowrap;
  }
  .openchurch-podcasts .node__content {
    margin-top: 0;
    position: relative;
  }
  @media all and (min-width: 461px) {
    .openchurch-podcasts article {
      display: table;
      width: 100%;
    }
    .openchurch-podcasts .field--name-field-date {
      display: table-cell;
      width: 100px;
      vertical-align: top;
    }
    .openchurch-podcasts .node__content {
      display: table-cell;
      vertical-align: top;
    }
  }
  @media all and (max-width: 1055px) {
    .toolbar-vertical.toolbar-tray-open .openchurch-podcasts .field--name-field-date {
      display: block;
    }
    .toolbar-vertical.toolbar-tray-open .openchurch-podcasts .node__content {
      display: block;
    }
  }
  .openchurch-podcasts h2.title {
    margin: 0;
  }
  @media all and (min-width: 675px) {
    .openchurch-podcasts a.button {
      position: absolute;
      top: 0;
      right: 0;
    }
  }
  @media all and (max-width: 820px) {
    .toolbar-vertical.toolbar-tray-open .openchurch-podcasts a.button {
      position: static;
    }
  }
  .openchurch-podcasts a.button {
    margin: 0;
  }
  .openchurch-podcasts h2.node__title {
    font-size: 1.3em;
    font-weight: bold;
    margin: 0;
    padding-top: 0;
  }
  .openchurch-podcasts .field--name-field-author {
    font-size: 1.3em;
    color: #333;
  }

/*************************************
  Latest Podcast Block
*************************************/
.openchurch-latest-podcast {
}
  .openchurch-latest-podcast .views-row {
    line-height: 1.8em;
  }


/*************************************
  Podcast Detail Page
*************************************/
body.page-node-type-podcast article.page-node-type-podcast .field {
  margin-bottom: 1em;
}


/*************************************
  Giving List
*************************************/
.openchurch-giving-list {
}
  .openchurch-giving-list .field--name-field-image {
    margin: 0;
    float: none;
  }
  .openchurch-giving-list .node__content {
    margin-top: 0;
  }
  @media all and (min-width: 568px) {
    .openchurch-giving-list .field--name-field-image {
      display: table-cell;
      width: 250px;
      vertical-align: top;
    }
    .openchurch-giving-list .node__content {
      display: table-cell;
      vertical-align: top;
    }
  }
  @media all and (max-width: 1000px) {
    .toolbar-vertical.toolbar-tray-open .openchurch-giving-list .field--name-field-image {
      display: block;
    }
    .toolbar-vertical.toolbar-tray-open .openchurch-giving-list .node__content {
      display: block;
    }
  }
  .openchurch-giving-list h2.node__title {
    font-size: 1.4em;
    margin-bottom: .6em;
    padding-top: 0;
    line-height: 1;
  }
  .openchurch-giving-list a.more {
    font-style: italic;
  }


/*************************************
  Bulletin List
*************************************/
.openchurch-bulletin-list {
  margin-bottom: 2em;
}
  .openchurch-bulletin-list h2.title {
    margin-top: 0;
  }
  .openchurch-bulletin-list .views-row {
    margin-bottom: .4em;
  }
  .openchurch-bulletin-list a {
    font-style: italic;
    margin-left: 5px;
  }

/*************************************
  This Week's Bulletin List
*************************************/
.openchurch-latest-bulletin {
}
  .openchurch-latest-bulletin .bulletin-link {
    line-height: 1.8em;
  }
  .openchurch-latest-bulletin .bulletin-link a:after,
  .openchurch-latest-bulletin .archives-link a:after {
    content: " \00BB";
  }


/*************************************
  Latest Blog List
*************************************/
.openchurch-latest-blogs-list {
  position: relative;
}
  @media all and (min-width: 461px) {
    .openchurch-latest-blogs-list .view-header a {
      position: absolute;
      top: 0;
      right: 0;
    }
  }
  .openchurch-latest-blogs-list .view-header {
    float: right;
    display: inline-block;
  }
  .openchurch-latest-blogs-list .view-filters {
    float: left;
    display: inline-block;
  }
  .openchurch-latest-blogs-list .form-actions {
    display: none;
  }
  .openchurch-latest-blogs-list .form-item-field-blog-topic-target-id {
    margin-top: 0;
  }
  .openchurch-latest-blogs-list .view-content {
    clear: both;
  }
  .openchurch-latest-blogs-list h2.node__title {
    font-size: 1.5em;
    font-style: italic;
    font-weight: normal;
    margin-bottom: .3em;
  }
  .openchurch-latest-blogs-list .time-ago {
    display: inline-block;
  }
  .openchurch-latest-blogs-list .time-ago:after {
    content: " | ";
  }
  .openchurch-latest-blogs-list .field--name-field-blog-topic {
    display: inline-block;
    margin: 0;
  }
  .openchurch-latest-blogs-list .field--name-body {
    margin-top: .5em;
  }
  .openchurch-latest-blogs-list ul.links.inline {
    font-size: inherit;
  }
  .openchurch-latest-blogs-list .node-readmore a {
    text-transform: lowercase;
    font-size: inherit;
  }
  .openchurch-latest-blogs-list .node-readmore a:after {
    content: " \00BB";
  }


/*************************************
  Blog Detail Page
*************************************/
body.page-node-type-blog {
}
  body.page-node-type-blog .time-ago {
    margin-bottom: .5em;
  }
  body.page-node-type-blog .field--name-field-blog-topic .field__label {
    font-weight: bold;
  }

/*************************************
  Blog Archives List
*************************************/
.openchurch-blog-archives-list {
}
  .openchurch-blog-archives-list h2.blog-year {
    font-size: 1.3em;
    padding-top: .3em;
  }
  .openchurch-blog-archives-list .item-list li {
    list-style-type: square;
    font-size: 1.2em;
    margin-bottom: .2em;
  }


/*************************************
  Galleries List
*************************************/
.openchurch-galleries-list {
}
  .openchurch-galleries-list .field--name-field-image {
    float: none;
    margin: 0;
  }
  .openchurch-galleries-list .field--name-field-image img {
    border: 5px solid #efefef;
  }
  @media all and (min-width: 461px) {
    .openchurch-galleries-list .field--name-field-image {
      display: table-cell;
      width: 205px;
      vertical-align: top;
    }
    .openchurch-galleries-list .node__content {
      display: table-cell;
      vertical-align: top;
      margin-top: 0;
    }
  }
  .openchurch-galleries-list .views-row {
    position: relative;
    min-height: 100px;
  }
  .openchurch-galleries-list h2.node__title {
    font-size: 1.4em;
    margin-bottom: .6em;
    padding-top: 0;
  }
  @media all and (min-width: 683px) {
    .openchurch-galleries-list a.button {
      position: absolute;
      top: 0;
      right: 0;
    }
  }
  /**
   * Vertical menu = 239px
   */
  @media all and (max-width: 1023px) {
    .toolbar-vertical.toolbar-tray-open .openchurch-galleries-list a.button {
      position: static;
    }
  }
  .openchurch-galleries-list a.button {
    margin: 0;
  }


/*************************************
  Events List
*************************************/
.openchurch-events-list {
  position: relative;
}
  .openchurch-events-list .field--name-field-dates {
    font-size: 20px;
    color: #333;
    white-space: nowrap;
    margin-top: 1px;
  }
  .openchurch-events-list .node__content {
    margin-top: 0;
    position: relative;
  }
  @media all and (min-width: 461px) {
    .openchurch-events-list article {
      display: table;
      width: 100%;
    }
    .openchurch-events-list .field--name-field-dates {
      width: 100px;
      display: table-cell;
      vertical-align: top;
    }
    .openchurch-events-list .node__content {
      display: table-cell;
      vertical-align: top;
    }
  }
  .openchurch-events-list .view-content {
    margin-top: 2px;
  }
  .openchurch-events-list .node__content .field {
    clear: left;
  }
  .openchurch-events-list h2.node__title {
    font-size: 1.5em;
    font-style: italic;
    font-weight: normal;
    margin-bottom: .3em;
    padding-top: 0;
    width: 65%;
  }
  .openchurch-events-list .field--name-field-ministry {
  }
  .openchurch-events-list .field--name-field-ministry .field__label {
    font-weight: bold;
    font-size: inherit;
  }
  .openchurch-events-list .field--name-field-ministry .field__item {
    padding-top: 1px;
  }
  .openchurch-events-list .field--name-field-location {
    margin-bottom: 5px;
  }
  .openchurch-events-list .links {
    margin-top: 10px;
    display: inline-block;
  }
  @media all and (min-width: 760px) {
    .openchurch-events-list .links {
      position: absolute;
      top: 0;
      right: 0;
    }
  }
  @media all and (max-width: 1180px) {
    .toolbar-vertical.toolbar-tray-open .openchurch-events-list .links {
      position: static;
    }
  }
  .openchurch-events-list .form-actions {
    display: none;
  }


/*************************************
  Event Calendar
*************************************/
#calendar {
}
  #calendar table table {
    margin: 0;
  }
  #calendar tr {
    background: inherit;
    padding: inherit;
    border-bottom: inherit;
  }
  #calendar td a {
    text-decoration: none;
  }


/*************************************
  Event Detail Page
*************************************/
body.page-node-type-event {
}
  @media all and (min-width: 630px) {
    body.page-node-type-event #event-bottom {
      display: table;
      width: 100%;
    }
    body.page-node-type-event #event-details {
      display: table-cell;
      vertical-align: top;
    }
    body.page-node-type-event #event-details-inner {
      margin-right: 2em;
    }
    body.page-node-type-event #event-links {
      display: table-cell;
      width: 220px;
      vertical-align: top;
    }
  }
  @media all and (max-width: 1032px) {
    .toolbar-vertical.toolbar-tray-open #event-details {
      width: inherit;
      display: block;
    }
    .toolbar-vertical.toolbar-tray-open #event-links {
      display: block;
    }
  }
  body.page-node-type-event #event-top {
    margin-bottom: 1.3em;
  }
  body.page-node-type-event #event-links {
    margin-bottom: 2em;
  }
  body.page-node-type-event h2.node__title {
    border-bottom: 1px solid #333;
    padding-bottom: .2em;
    font-style: italic;
    font-size: 1.5em;
    font-weight: normal;
    margin-top: 0;
    margin-bottom: .5em;
  }
  body.page-node-type-event .field--name-field-location {
    clear: left;
  }
  body.page-node-type-event h2.title {
    margin-top: 0;
  }
  body.page-node-type-event #event-links h2.title {
    margin-bottom: 0;
  }
  body.page-node-type-event .field--name-field-downloads {
    background: #F9F9F9;
    padding: 10px;
  }
  body.page-node-type-event #event-url {
    margin-top: 1.5em;
    text-align: center;
  }
  body.page-node-type-event #event-url a.button {
    background: #a9cfdc;
    color: #2e2f2e;
  }

/*************************************
  Ministries List
*************************************/
.openchurch-ministries-list {
  position: relative;
}
  #block-ministriesintro {
    margin-bottom: 1em;
  }
  .openchurch-ministries-list .field--name-field-thumb {
    float: none;
    margin: 0;
  }
  .openchurch-ministries-list .field--name-field-thumb img {
    border: 2px solid #ccc;
  }

  @media all and (min-width: 461px) {
    .openchurch-ministries-list .field--name-field-thumb {
      display: table-cell;
      vertical-align: top;
      width: 125px;
    }

    .openchurch-ministries-list .node__content {
      display: table-cell;
      vertical-align: top;
      margin-top: 0;
    }
  }
  .openchurch-ministries-list .views-row {
    position: relative;
    min-height: 100px;
  }
  .openchurch-ministries-list h2.node__title {
    font-size: 1.5em;
    font-style: italic;
    margin-bottom: .6em;
    padding-top: 0;
    line-height: 1;
    font-weight: normal;
  }

  @media all and (min-width: 461px) {
    .openchurch-ministries-list a.button {
      position: absolute;
      top: -2px;
      right: 3px;
      display: inline-block;
    }
  }
  .openchurch-ministries-list a.button {
    margin: 0;
  }
  @media all and (max-width: 760px) {
    .toolbar-vertical.toolbar-tray-open .openchurch-ministries-list a.button {
      position: static;
    }
  }


/*************************************
  Ministries Detail Page
*************************************/
body.page-node-type-ministry  {
}
  body.page-node-type-ministry .downloads {
    margin-bottom: 2em;
  }
  @media all and (min-width: 461px) {
    body.page-node-type-ministry #body-container {
      display: table;
      width: 100%;
    }
    body.page-node-type-ministry .body {
      display: table-cell;
      vertical-align: top;
    }
    body.page-node-type-ministry .body-inner {
      margin-right: 2em;
    }
    body.page-node-type-ministry .downloads {
      display: table-cell;
      width: 200px;
      vertical-align: top;
    }
  }
  @media all and (max-width: 1029px) {
    .toolbar-vertical.toolbar-tray-open.page-node-type-ministry .body {
      display: block;
    }
    .toolbar-vertical.toolbar-tray-open.page-node-type-ministry .downloads {
      display: block;
    }
  }
  body.page-node-type-ministry .field--name-field-image {
    float: none;
    margin-right: 0;
  }
  body.page-node-type-ministry .field--name-field-image img {
    border: 3px solid #efefef;
    margin-bottom: 0;
  }
  body.page-node-type-ministry #content .downloads h2.title {
    margin-bottom: 0;
  }
  body.page-node-type-ministry .field--name-field-downloads {
    background: #F9F9F9;
    padding: 10px;
  }


/*************************************
  Staff List
*************************************/
.openchurch-staff-list {
}
  .openchurch-staff-list .node--view-mode-teaser {
    border-bottom-style: dotted;
  }
  .openchurch-staff-list .field--name-field-image {
    margin: 0;
    float: none;
  }
  .openchurch-staff-list .node__content {
    margin-top: 0;
  }
  @media all and (min-width: 461px) {
    .openchurch-staff-list .field--name-field-image {
      display: table-cell;
      vertical-align: top;
      width: 125px;
    }
    .openchurch-staff-list .node__content {
      display: table-cell;
      vertical-align: top;
    }
  }
  @media all and (max-width: 813px) {
    .toolbar-vertical.toolbar-tray-open .openchurch-staff-list .field--name-field-image {
      display: block;
    }
    .toolbar-vertical.toolbar-tray-open .openchurch-staff-list .node__content {
      display: block;
    }
  }
  .openchurch-staff-list h2.staff-type {
    font-style: italic;
    border-bottom: 1px solid #000;
    padding-bottom: .3em;
    font-size: 1.3em;
    margin-bottom: .8em;
    margin-top: 1em;
  }
  .openchurch-staff-list h2.node__title {
    font-size: 1.4em;
    margin-bottom: .6em;
    position: relative;
    top: 1px;
    line-height: 1;
    font-weight: normal;
    display: inline-block;
    padding-top: 0;
  }
  .openchurch-staff-list .field--name-field-position,
  .openchurch-staff-list .field--name-field-email,
  .openchurch-staff-list .field--name-field-phone {
    display: inline-block;
  }
  .openchurch-staff-list .field--name-field-position:before,
  .openchurch-staff-list .field--name-field-email:before,
  .openchurch-staff-list .field--name-field-phone:before {
    content: " | ";
  }


/*************************************
  Staff Detail
*************************************/
body.page-node-type-staff {
}
  body.page-node-type-staff .field--name-field-image {
    margin: 0;
    float: none;
  }
  body.page-node-type-staff .field--name-field-image img {
    border: 3px solid #ccc;
  }
  body.page-node-type-staff .node__content {
    margin-top: 0;
  }
  @media all and (min-width: 600px) {
    body.page-node-type-staff .node__content {
      display: table-cell;
      vertical-align: top;
    }
    body.page-node-type-staff .field--name-field-image {
      display: table-cell;
      vertical-align: top;
      text-align: right;
      width: 230px;
    }
  }
  @media all and (max-width: 1024px) {
    .toolbar-vertical.toolbar-tray-open.page-node-type-staff .node__content {
      display: block;
    }
    .toolbar-vertical.toolbar-tray-open.page-node-type-staff .field--name-field-image {
      display: block;
      text-align: left;
    }
  }
  body.page-node-type-staff h2.node__title {
    font-size: 1.5em;
    margin-bottom: .3em;
    font-weight: normal;
    margin-top: 0;
  }
  body.page-node-type-staff .field--name-field-position {
    font-style: italic;
    margin-bottom: .5em;
    font-size: 1.1em;
  }


/*************************************
  Cycle Slideshow
*************************************/
.cycle-slideshow {
  max-width: 100%;
  display: inline-block;
  margin: 0 0 45px;
  background: #fff;
  border: 4px solid #fff;
  position: relative;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -o-border-radius: 4px;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 4px rgba(0,0,0,.2);
  -moz-box-shadow: 0 1px 4px rgba(0,0,0,.2);
  -o-box-shadow: 0 1px 4px rgba(0,0,0,.2);
  box-shadow: 0 1px 4px rgba(0,0,0,.2);
  zoom: 1;
  height: auto;
  z-index: 1;
}
.cycle-slideshow a.cycle-slide {
  border-bottom: 0;
}

.cycle-slideshow .cycle-pager {
  text-align: center;
  position: absolute;
  bottom: -40px;
  width: 100%;
}

.cycle-slideshow .cycle-pager > span {
  width: 11px;
  height: 11px;
  display: inline-block;
  margin: 0 6px;
  background: #666;
  background: rgba(0,0,0,0.5);
  cursor: pointer;
  text-indent: -9999px;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  -o-border-radius: 20px;
  border-radius: 20px;
  -webkit-box-shadow: inset 0 0 3px rgba(0,0,0,0.3);
  -moz-box-shadow: inset 0 0 3px rgba(0,0,0,0.3);
  -o-box-shadow: inset 0 0 3px rgba(0,0,0,0.3);
  box-shadow: inset 0 0 3px rgba(0,0,0,0.3);
}

.cycle-slideshow .cycle-pager > span.cycle-pager-active {
  background: #000;
}


/*************************************
  Homepage Rotator
*************************************/
body.path-frontpage #block-openchurch-theme-content > div.content {
  margin-top: 0;
}

/*************************************
  Homepage Featured
*************************************/
body.path-frontpage #block-openchurch-theme-page-title {
  display: none;
}
.block-openchurch-homepage-featured {

}
  .block-openchurch-homepage-featured ul {
    margin: 0;
    padding: 0;
  }
  .block-openchurch-homepage-featured li {
    margin: 0;
    padding: 0;
    list-style: none;
    text-align: center;
  }
  @media all and (min-width: 560px) {
    .block-openchurch-homepage-featured li {
      float: left;
      width: 33.33%;
    }
    .block-openchurch-homepage-featured li img {
      width: 95%;
    }
    .block-openchurch-homepage-featured li:first-child {
      text-align: left;
    }
    .block-openchurch-homepage-featured li:last-child {
      text-align: right;
    }
  }

/*************************************
  Video List Page
*************************************/
.openchurch-video .field--name-body {
  margin-top: 1em;
}
.openchurch-video h2.node__title {
  font-size: 1.4em;
  margin: .4em 0 .3em;
  font-weight: normal;
}

/*************************************
  Video Detail Page
*************************************/
body.page-node-type-video .field--name-body {
  margin-top: 1em;
}
